bolt

pdk
Install puppetlabs bolt with ruby gems and supports a hack that allows to use GSS-API with SSH in bolt.

IN2P3 Computing Centre

ccin2p3

8,014 downloads

7,917 latest version

5.0 quality score

Version information

  • 0.2.0 (latest)
  • 0.1.0
released Oct 12th 2017
This version is compatible with:
  • Puppet Enterprise 2018.1.x, 2017.3.x, 2017.2.x, 2017.1.x, 2016.5.x, 2016.4.x
  • Puppet >= 4.0.0 < 6.0.0
  • CentOS
    ,
    OracleLinux
    ,
    RedHat
    ,
    Scientific
    ,
    Fedora
    ,
    Debian
    ,
    Ubuntu

Start using this module

Documentation

ccin2p3/bolt — version 0.2.0 Oct 12th 2017

PuppetLabs bolt

What this module do

Install puppetlabs bolt with ruby gems, using (by default) the Puppet ruby build.

It also supports a hack that allows to use GSS-API with SSH in bolt.

This is currently required and the bug can be followed in this issue.

Usage

Install bolt without any hack

include bolt

Install bolt and activate the ugly SSH GSS-API hack

class { '::bolt':
  hack_bolt_to_allow_ssh_gssapi => true
}

If you know what you're doing, you can also modify the auth_methods passed to Net::SSH like this:

class { '::bolt':
  hack_bolt_to_allow_ssh_gssapi            => true,
  explicitly_specify_bolt_ssh_auth_methods => true,
  bolt_ssh_auth_methods                    => ['gssapi-with-mic', 'publickey', 'password', 'keyboard-interactive']
}

Hiera works as well.

If you want to use system ruby instead of puppet ruby, you can set bolt::provider: gem. (Default is puppet_gem.)

Support / Limitations

This module is not intended to be supported on a long term. We know that this is an ugly hack and we plan to drop this module as soon as we can.

You can still fill an issue or submit pull requests if you'd like to share !

Contributor

  • Remi Ferrand for IN2P3 Computing Centre, CNRS
  • Tim Skirvin for Fermi National Accelerator Laboratory